from django import forms
from .models import Photo, Blog


class MediaForm(forms.ModelForm):
    class Meta:
        model = Photo
        fields = ['image', 'caption']


class BlogForm(forms.ModelForm):
    post_edit = forms.BooleanField(widget=forms.HiddenInput,
                                   initial=True)
    class Meta:
        model = Blog
        fields = ['title', 'content']
        widgets = {
            'content': forms.Textarea(attrs={'cols': 80, 'rows': 20}),
        }


class BlogDeleteForm(forms.Form):
    post_delete = forms.BooleanField(widget=forms.HiddenInput,
                                     initial=True)
